<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="card">
	<div class="card-header">
		{{ 'preConfigure.eventSummary.electionEvent.title' | translate }}
	</div>
	<div class="card-body">
		<dl class="row">
			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.electionEvent.alias' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ configurationSummary.contestId }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.electionEvent.name' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ eventName }}
			</dd>

			<dt class="col-sm-4">
				{{ 'preConfigure.eventSummary.electionEvent.seed' | translate }}
			</dt>
			<dd class="col-sm-8">
				{{ configurationSummary.electionEventSeed }}
			</dd>

			<dt class="col-sm-4">
				{{
					'preConfigure.eventSummary.electionEvent.contestDate' | translate
				}}
			</dt>
			<dd class="col-sm-8">
				{{ configurationSummary.contestDate | date: 'dd.MM.yyyy HH:mm' }}
			</dd>

			<dt class="col-sm-4">
				{{
					'preConfigure.eventSummary.electionEvent.electionDate' | translate
				}}
			</dt>
			<dd class="col-sm-8">
				{{ 'preConfigure.eventSummary.dateFrom' | translate }}
				{{
					configurationSummary.evotingFromDate | date: 'dd.MM.yyyy HH:mm'
				}}
				{{ 'preConfigure.eventSummary.dateTo' | translate }}
				{{ configurationSummary.evotingToDate | date: 'dd.MM.yyyy HH:mm' }}
			</dd>

			<dt class="col-sm-4">
				{{
					'preConfigure.eventSummary.electionEvent.gracePeriod' | translate
				}}
			</dt>
			<dd class="col-sm-8">
				{{ configurationSummary.gracePeriod }}
			</dd>

			<dt class="col-sm-4">
				{{
					'preConfigure.eventSummary.electionEvent.totalVoters' | translate
				}}
			</dt>
			<dd class="col-sm-8">
				{{ configurationSummary.voterTotal }}
			</dd>

			<dt class="col-sm-4">
				{{
					'preConfigure.eventSummary.electionEvent.extendedFactor.title'
						| translate
				}}
			</dt>
			<dd *ngFor="
                let extendedFactor of configurationSummary.extendedAuthenticationType
              " class="col-sm-8">
				{{
					'preConfigure.eventSummary.electionEvent.extendedFactor.' +
					extendedFactor | translate
				}}
			</dd>
		</dl>
	</div>
</div>
